# -*- rpm-spec -*-
# $Id: SDL_mixer,v 1.5 2002/10/23 10:33:57 grigory Exp $

%define lib_name lib%name

Summary: Simple DirectMedia Layer - mixer
Name: SDL_mixer
Version: 1.2.4
Release: alt4
Group: System/Libraries
License: LGPL
Url: http://www.devolution.com/~slouken/SDL/projects/SDL_mixer/
Source0: http://www.libsdl.org/projects/SDL_mixer/src/%name-%version.tar.bz2
Patch0: SDL_mixer-fix-timidity-path.patch

%define SDL_ver 1.2.0
%define SMPEG_ver 0.4.3

# Automatically added by buildreq on Wed Oct 23 2002
BuildRequires: XFree86-devel XFree86-libs aalib-devel esound-devel glibc-devel-static libSDL-devel libalsa2-devel libarts-devel libaudiofile-devel libgpm-devel libogg-devel libslang-devel libvorbis-devel libstdc++3.2-devel

BuildRequires: libSDL-devel >= %SDL_ver libsmpeg-devel >= %SMPEG_ver 

%description
SDL_mixer is a sample multi-channel audio mixer library. It supports any number
of simultaneously playing channels of 16 bit stereo audio, plus a single
channel of music, mixed by the popular MikMod MOD, Timidity MIDI and SMPEG MP3
libraries.

%package -n %lib_name
Summary: Main library for %name
Group: System/Libraries
Requires: libSDL >= %SDL_ver libsmpeg >= %SMPEG_ver 

%description -n %lib_name
This package contains the library needed to run programs dynamically
linked with %name.

%package -n %lib_name-devel
Summary: Headers for developing programs that will use %name
Group: Development/C
Requires: %lib_name = %version-%release

%description -n %lib_name-devel
This package contains the headers that programmers will need to develop
applications which will use %name.

%package -n %lib_name-devel-static
Summary: Static libraries for developing programs that will use %name
Group: Development/C
Requires: %lib_name-devel = %version-%release

%description -n %lib_name-devel-static
This package contains the static libraries that programmers will need to develop
applications which will use %name.

%package -n %lib_name-test
Summary: Test binary for %name
Group: Sound
Requires: %lib_name = %version-%release

%description -n %lib_name-test
This package contains binary to test the associated library.

%prep
%setup -q
%patch0 -p1

%build
%configure
%make_build

%install
%makeinstall

# docs
for f in mikmod/{AUTHORS,README}; do
%__cp "$f" "$f".mikmod 
done
for f in timidity/{FAQ,README}; do
%__cp "$f" "$f".timidity 
done

%post -n %lib_name -p /sbin/ldconfig
%postun -n %lib_name -p /sbin/ldconfig

%files -n %lib_name
%_libdir/lib*.so.*
%doc README 

%files -n %lib_name-devel
%_libdir/*.so
%_libdir/*.la
%_includedir/SDL/*
%doc CHANGES mikmod/*.mikmod timidity/*.timidity

%files -n %lib_name-devel-static
%_libdir/*.a

%files -n %lib_name-test
%_bindir/*

%changelog
* Wed Oct 23 2002 Grigory Milev <week@altlinux.ru> 1.2.4-alt4
- rebuild with new directfb

* Tue Oct 01 2002 Rider <rider@altlinux.ru> 1.2.4-alt3
- BuildRequires fix (auto)

* Mon Sep 23 2002 Rider <rider@altlinux.ru> 1.2.4-alt2
- rebuild (gcc 3.2)

* Wed Jul 31 2002 Stanislav Ievlev <inger@altlinux.ru> 1.2.4-alt1.1
- rebuild with new vorbis

* Fri Jun 07 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.2.4-alt1
- 1.2.4

* Wed May 22 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.2.1-alt2
- Rebuilt (wrong dependence on oldalsa fixed, SDL requires libalsa2) 
- Automatically added BuildRequires.
- specfile cleanups

* Sat Feb 09 2002 Rider <rider@altlinux.ru> 1.2.1-alt1
- 1.2.1

* Fri Aug 17 2001 Rider <rider@altlinux.ru> 1.2.0-alt1
- 1.2.0

* Fri Apr  6 2001 Kostya Timoshenko <kt@altlinux.ru> 1.1.0-ipl5mdk
- Rebuild with SDL-1.2.0
- Moved static libraries to devel-static subpackage.

* Wed Mar 14 2001 Kostya Timoshenko <kt@petr.kz> 1.1.0-ipl4mdk
- Libification.

* Tue Jan 16 2001 Kostya Timoshenko <kt@petr.kz> 1.1.0-ipl3mdk
- adding SDL_mixer-fix-timidity-path.patch

* Tue Dec 26 2000 Kostya Timoshenko <kt@petr.kz> 1.1.0-ipl2mdk
- Build for RE

* Fri Dec  1 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.0-1mdk
- 1.1.0
- better new lib policy, do not generate anymore an ambiguous package
  containing binaries but with the old lib name

* Wed Nov 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.6-4mdk
- macros
- against cool new libogg and libvorbis
- new lib policy
- split package for binaries

* Thu Nov  2 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.6-3mdk
- rebuild against newest oggvorbis to get vorbis support

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.6-2mdk
- automatically added BuildRequires

* Mon Jul 03 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.6-1mdk
- new release

* Fri Jun 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.5-1mdk
- change buildrequires
- v1.0.5

* Tue Jun 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.4-4mdk
- Use makeinstall macros.

* Tue May 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.4-3mdk
- Fix macros with new libtoolize.
- Use %-configure.

* Tue Apr 11 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.4-2mdk
- added url
- fixed group
- some minor package build fixes

* Fri Feb 11 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- v1.0.4
- used specfile provided by Hakan Tandogan <hakan@iconsult.com>

* Tue Jan 18 2000 Hakan Tandogan <hakan@iconsult.com>
- initial spec file
